uvc_format_desc Struct Reference

Format descriptor. More...

`#include <libuvc.h>`

## Data Fields

enum uvc_vs_desc_subtype | bDescriptorSubtype
| Type of image stream, such as JPEG or uncompressed.
uint8_t | bFormatIndex
| Identifier of this format within the VS interface's format list.
union { |
}; |  |
| Format specifier.
union { |
uint8_t bBitsPerPixel |
| BPP for uncompressed stream.
uint8_t bmFlags |
| Flags for JPEG stream.
}; |  |
| Format-specific data.
uint8_t | bDefaultFrameIndex
| Default {uvc_frame_desc} to choose given this format.
struct uvc_frame_desc * | frame_descs
| Available frame specifications for this format.

## Detailed Description

Format descriptor.

A "format" determines a stream's image type (e.g., raw YUYV or JPEG) and includes many "frame" configurations.

The documentation for this struct was generated from the following file:

- libuvc.h